Fork me on GitHub"

# skbio.stats.gradient.CategoryResults

class `skbio.stats.gradient.``CategoryResults`(category, probability, groups, message)

  Store the trajectory results of a metadata category

  `category`

    The name of the category

    Type: | str

  `probability`

    The ANOVA probability that the category groups are independent

    Type: | float

  `groups`

    The trajectory results for each group in the category

    Type: | list of GroupResults

  `message`

    A message with information of the execution of the algorithm

    Type: | str

  Built-ins

  Methods

  `to_files`(out_f, raw_f) | Save the trajectory analysis results for a category to files in